# List shared budgets

Returns shared budgets. Works with Google Ads.

```http
GET https://api.pozy.ai/v1/ads/shared-budgets
```

- Area: Ads / Ad Campaigns
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)
- `adAccountId` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/ads/shared-budgets?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/shared-budgets?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/ads/shared-budgets",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `customerId`, string
- `budgets`, array of object
  - `id`, string
  - `name`, string
  - `amount`, number: Can be null
  - `type`, string: One of `daily`, `lifetime`. Can be null
  - `deliveryMethod`, string: Can be null
  - `status`, string: Can be null
  - `campaignCount`, integer

```json
{
  "customerId": "691909ff82eb5ed7c816716d",
  "budgets": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "amount": 12.5,
      "type": "daily",
      "deliveryMethod": "string",
      "status": "active",
      "campaignCount": 42
    }
  ]
}
```
